# roles/docker_compose_deploy/templates/odoo-compose.yml.j2
version: '3.7'

services:
  odoo_web_service:
    image: "{{ env_variables.ODOO_IMAGE }}"
    depends_on:
      - db
    ports:
      - "{{ env_variables.ODOO_EXPOSE_PORT }}:8069"
    volumes:
      - "{{ env_variables.ODOO_WEB_DATA }}:/var/lib/odoo"
      - "{{ env_variables.ODOO_CONFIG_PATH }}:/etc/odoo"
      - "{{ env_variables.ODOO_ADDONS_PATH }}:/mnt/extra-addons"
    networks:
      - "{{ env_variables.ODOO_NETWORK }}"
    environment:
      - PASSWORD_FILE={{ env_variables.ODOO_PASSWORD_FILE }}
    secrets:
      - postgresql_password

  db:
    image: "{{ env_variables.POSTGRES_IMAGE }}"
    environment:
      - POSTGRES_DB={{ env_variables.POSTGRES_DB }}
      - POSTGRES_PASSWORD_FILE={{ env_variables.POSTGRES_PASSWORD_FILE }}
      - POSTGRES_USER={{ env_variables.POSTGRES_USER }}
      - PGDATA=/var/lib/postgresql/data/pgdata
    volumes:
      - "odoo-db-data:/var/lib/postgresql/data"
    secrets:
      - postgresql_password
    networks:
      - "{{ env_variables.ODOO_NETWORK }}"
    restart: always

volumes:
  odoo-web-data: {}
  odoo-db-data: {}

networks:
  {{ env_variables.ODOO_NETWORK }}:
    driver: bridge

secrets:
  postgresql_password:
    file: "{{ env_variables.SECRETS_FILE_PATH }}"
